package com.hai.service.impl;

import com.hai.dao.HighDiscountPackageActualMapper;
import com.hai.dao.HighDiscountPackageDiscountActualMapper;
import com.hai.entity.HighDiscountPackageActual;
import com.hai.entity.HighDiscountPackageActualExample;
import com.hai.service.HighDiscountPackageActualService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @serviceName HighDiscountPackageActualServiceImpl.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 优惠券包实际库存
 * @createTime 3:06 下午 2021/12/8
 **/
@Service("highDiscountPackageActualService")
public class HighDiscountPackageActualServiceImpl implements HighDiscountPackageActualService {


    @Resource
    private HighDiscountPackageActualMapper discountPackageActualMapper;

    @Override
    public void insertHighDiscountPackageActual(HighDiscountPackageActual highDiscountPackageActual) {
        discountPackageActualMapper.insert(highDiscountPackageActual);
    }

    @Override
    public void updateHighDiscountPackageActual(HighDiscountPackageActual highDiscountPackageActual) {
        discountPackageActualMapper.updateByPrimaryKey(highDiscountPackageActual);
    }

    @Override
    public List<HighDiscountPackageActual> getHighDiscountPackageActualList(Integer discountPackageId) {

        HighDiscountPackageActualExample example = new HighDiscountPackageActualExample();
        HighDiscountPackageActualExample.Criteria criteria = example.createCriteria();

        criteria.andDiscountPackageIdEqualTo(discountPackageId).andStatusEqualTo(1);

        return discountPackageActualMapper.selectByExample(example);
    }
}
